:root {
	--font-ui: "Outfit", sans-serif;
	--font-p: "Merriweather", serif;
	--font-mono: "JetBrains Mono", monospace;

	--bg: #f9f7f1;
	--backdrop: #e0e0e0;
	--heading: #2c2825;
	--p: #403b38;
	--link: #c04216;
	--navbar: #ebe7de;
	--menu: #2c2825;
	--footer: #ebe7de;
}

* {
	box-sizing: border-box;
	margin: 0;
	padding: 0;
}

body {
	width: 100vw;
	height: 100vh;

	overflow-x: hidden;
	overflow-y: scroll;

	line-height: 1.2;
	font-size: 18px;
}

body::-webkit-scrollbar {
	display: none;
}

/* Readability */

p {
	max-width: 75ch;
	line-height: 1.65;
}

/* Readability */

header {
	width: 100%;
	height: 45vh;

	background-color: var(--backdrop);
	color: var(--p);

	position: relative;

	display: flex;
	align-items: center;
	justify-content: center;

	user-select: none;
}

#header-bg {
	width: calc(100% - 2rem);
	height: calc(100% - 5vh - 2rem);

	position: absolute;
	top: 0;
	left: 0;

	margin: 1rem;

	z-index: 0;

	pointer-events: none;

	border-radius: 12px;
}

.lore-library {
	font-family: var(--font-ui);
	font-size: 100px;

	color: var(--heading);

	text-transform: uppercase;

	text-shadow: 0 5px 15px rgba(0, 0, 0, 0.2);

	pointer-events: none;

	z-index: 1;

	position: relative;
}

.lore-library::before {
	content: "Last Updated:";

	font-size: 30px;
	text-transform: none;

	color: var(--p);

	position: absolute;
	bottom: -1rem;
	right: 16ch;
}

.lore-library::after {
	content: "Jan 16, 2026 23:40";

	font-family: var(--font-mono);
	font-size: 25px;
	text-transform: none;
	letter-spacing: -1.5px;

	text-shadow: 0 5px 15px rgba(0, 0, 0, 0.2);

	color: var(--link);

	position: absolute;
	bottom: -1rem;
	right: 0.5rem;
}

header nav {
	width: 100%;
	height: 5vh;

	background-color: var(--navbar);

	box-shadow: 0 -5px 15px rgba(0, 0, 0, 0.03);

	border-top: 1px solid rgba(0, 0, 0, 0.2);

	padding-right: 1rem;

	position: absolute;
	bottom: 0;
	left: 0;
}

.nav-list {
	width: calc(100% - 10vw);
	height: 100%;

	padding: 0 1rem;

	margin-left: 10vw;

	display: flex;
	align-items: center;
}

.nav-item {
	list-style-type: none;

	width: max-content;
	height: 100%;
}

.category {
	width: 100%;
	height: 100%;

	border: none;
	border-left: 1px solid rgba(0, 0, 0, 0.3);

	background-color: transparent;

	padding: 0 1rem;

	color: var(--menu);

	transition: all 300ms var(--t-f);

	cursor: pointer;

	position: relative;
}

.home {
	color: var(--heading);

	font-family: var(--font-ui);
	font-size: 30px;
	text-decoration: none;
	letter-spacing: 2px;
	font-weight: 600;
	text-transform: uppercase;

	position: absolute;
	top: 0.375rem;
	left: 1.5rem;

	transition: all 300ms var(--t-f);
}

.home:hover {
	text-decoration: underline;

	padding-right: 2rem;
	left: 0.75rem;

	color: var(--link);
}

.home::before {
	content: "\2794";

	text-shadow: none;

	font-size: inherit;

	display: inline-block;

	margin-right: 1rem;

	transform: rotate(180deg);
}

.focus-toggle {
	width: fit-content;
	height: max-content;

	position: absolute;
	top: 25%;
	right: 1rem;

	user-select: none;
}

#focus-mode {
	accent-color: var(--link);

	margin-right: 0.5rem;
}

.focus-toggle-label {
	font-family: var(--font-mono);
	font-weight: 600;
	font-size: 20px;
	text-transform: uppercase;
	letter-spacing: 1.2px;

	padding-left: 0.9rem;

	border-left: 1px solid rgba(0, 0, 0, 0.1);
}

main {
	width: 100%;
	height: 100%;

	background-color: var(--navbar);
	color: var(--p);

	overflow: hidden;

	display: flex;
}

.menu {
	--width: 10vw;

	width: var(--width);
	height: 100%;

	flex-shrink: 0;

	background-color: var(--navbar);

	overflow-y: scroll;
	overflow-x: hidden;

	user-select: none;
}

.menu::-webkit-scrollbar {
	width: 0.75vw;
	height: 100%;
}

.menu::-webkit-scrollbar-track {
	background-color: var(--navbar);
}

.menu::-webkit-scrollbar-thumb {
	background-color: var(--menu);

	border: 0.25rem solid var(--navbar);

	border-radius: 1rem;

	transition: all 300ms var(--t-f);

	cursor: pointer;
}
.menu::-webkit-scrollbar-thumb:hover {
	border: 0.15rem solid var(--navbar);
}

.menu nav {
	width: var(--width);
	height: 100%;
	min-height: calc(100% + 0.5px);
}

.nav-menu {
	list-style-type: none;

	width: 100%;
	height: max-content;

	border-top: 1px solid rgba(0, 0, 0, 0.1);

	transition: all 300ms var(--t-f);
}

.entry {
	width: 100%;
	height: 100%;

	padding: 0.5rem 1rem;

	background-color: transparent;
	color: var(--menu);

	text-align: left;

	border: none;

	cursor: pointer;

	transition: all 300ms var(--t-f);

	position: relative;
}

.selected {
	pointer-events: none;
}

.selected,
.category:hover,
.entry:hover {
	background-color: var(--menu);
	color: var(--navbar);
}

.entry:not(.selected):hover {
	padding-top: 1rem;
	padding-bottom: 1rem;
	padding-left: 1.5rem;
}

.category:not(.selected):hover {
	margin-right: 1rem;
}

footer {
	--c-txt: rgba(0, 0, 0, 0.3);

	width: 100%;
	height: 5vh;

	display: flex;
	justify-content: center;
	align-items: center;

	color: var(--c-txt);

	font-family: "Consolas", "Monaco", monospace;
	font-size: 0.75rem;
	letter-spacing: 1px;

	background-color: var(--footer);

	cursor: default;

	position: relative;
}

.tos {
	position: absolute;
	right: 2rem;
}

.tos a {
	text-decoration: none;

	color: var(--c-txt);
}

.tos a:hover {
	text-decoration: underline;
}

/* Flags */

.new::after {
	content: "new";

	font-family: var(--font-mono);
	font-size: 10px;
	font-weight: 700;
	text-transform: uppercase;
	letter-spacing: 1.5px;

	width: fit-content;
	height: fit-content;

	position: absolute;
	top: -0.5rem;
	right: -0.5rem;

	transform: rotate(25deg);

	z-index: 99;

	filter: drop-shadow(0 0 5px var(--link));

	background-color: var(--link);
	color: var(--bg);

	padding: 2px;

	border: 1px solid var(--heading);
	border-radius: 3px;
}

.entry.new::after {
	position: static;

	margin-left: 0.5rem;

	line-height: 2rem;

	transform: rotate(0);
}
